Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.taglibs.cache
Class FlushTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.sun.appserv.web.taglibs.cache.FlushTag

All Implemented Interfaces:
  IterationTag, JspTag, java.io.Serializable, Tag

public class FlushTag
extends TagSupport

FlushTag is a JSP tag that is used with the CacheTag. The FlushTag allows you to invalidate a complete cache or a particular cache element identified by the key. Usage Example: <%@ taglib prefix="ias" uri="Sun ONE Application Server Tags" %>

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FlushTag()` Default constructor that simply gets a handle to the web container subsystem's logger.

Method Summary
`int` | `doEndTag()` doEndTag just resets all the valiables in case the tag is reused
`int` | `doStartTag()` doStartTag is called when the flush tag is encountered.
`void` | `setKey(java.lang.String key)` This is set a key for the cache element that needs to be cleared
`void` | `setScope(java.lang.String scope)` This attribute is used to set the scope of the cache.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushTag

    public FlushTag()

  Default constructor that simply gets a handle to the web container subsystem's logger.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  doStartTag is called when the flush tag is encountered. By the time this is called, the tag attributes are already set.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY since the tag should be empty
  Throws:
    `JspException` - the standard exception thrown
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  doEndTag just resets all the valiables in case the tag is reused

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Returns:
    always returns EVAL_PAGE since we want the entire jsp evaluated
  Throws:
    `JspException` - the standard exception thrown
  See Also:
    `Tag.doEndTag()`

### setKey

    public void setKey(java.lang.String key)

  This is set a key for the cache element that needs to be cleared

### setScope

    public void setScope(java.lang.String scope)

  This attribute is used to set the scope of the cache. It can be either "session" or "application".

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.